; Especificaciones: SBC HL, B para ZX Spectrum 16K/48K
; Descripción general: Suma el contenido de un registro doble
; con un registro simple
; Longitud: 15 bytes
; Entrada: Ningún requerimiento
; Salida: BC contiene la resta de HL-B
; Registros usados: A, B, H y L
; Nota: El programa debe ser accedido con PRINT USR
org		$7000

ld		hl, $0100		; HL = $0100
ld		b, $01			; B = $01

ld		a, l			; A = L
sub		b				; A = L - B
ld		l, a			; L = A

ld		a, h			; A = H
sbc		a, $00			; A = A - $00 - Arrastre
ld		h, a			; H = A

ld		b, h			; B = H
ld		c, l			; C = H

ret

end		$7000