; Especificaciones: Prog10.3 para ZX Spectrum 16K/48K.
; Descripción general: Un bucle controla la impresión de todos
; los caracteres ASCII del Spectrum.
; Longitud: 19 bytes.
; Entrada: Ningún requerimiento.
; Salida: Caracteres ASCII (código 32 a 127) en pantalla.
; Registros usados: A en este programa.
;					A, D, E, H y L en rutinas ROM.
org		$7000

CLS		equ $0d6b
OPEN	equ $1601

call	CLS				; Borra la pantalla
ld		a, 2			; Abre
call	OPEN			; canal 2
ld		bc, 768			; 768 = 24 filas * 32 columnas
SIGUI:
ld		a, 42			; 42 = Code "*"
rst		$10				; Imprime el carácter "*"
ld		a, b
or		c				; B OR C
ret		z				; Si B = C = 0 -> RET
dec		bc				; Decrementa contador
jr		SIGUI			; Siguiente carácter

end		$7000