; Especificaciones: Prog5.2 para ZX Spectrum 16K/48K.
; Descripción general: Sum de todos los registros. Muestra el uso de las subrutinas.
; Longitud: 38 bytes.
; Entrada: ningún requerimiento.
; Salida: ningún requerimiento.
; Registros usados: A, B, C, D, E, H y L.
; Nota: el programa debe ser accedido con PRINT USR para que el resultado pueda ser comprobado.

org		$7000

ld		a, 240
ld		bc, 16581
ld		de, 13991
ld		hl, 7155
call	Suma			; Suma HL = HL + DE + BC + A
ld		a, 37
ld		bc, 71
ld		de, 2885
call	Suma			; Suma HL = HL + DE + BC + A
push	hl				; Pasa el vaor de HL a
pop		bc				; BC por medio de la pila
ret						; Retorna al Basic

Suma:
org		$7100

add		a, c			; A = A + C
ld		c, a			; C = A
ld		a, 0			; A = 0
adc		a, b			; A = A + B + Acarreo
ld		b, a			; B = A

add		hl, bc			; HL = HL + BC
add		hl, de			; HL = HL + DE

ret						; Retorna de la subrutina

end		$7000