; Especificaciones: Prog12.3 para ZX Spectrum 16K/48K.
; Descripción general: Impresión de un pixel en las coordenadas
; 128,88 con la función OVER 1 (Direccionamiento extendido).
; Longitud: 17 bytes.
; Entrada: Ningún requerimiento.
; Salida: Impresión OVEER 1 de un pixel en coordenadas B, C.
;         Variable P-FLAG con valor 0.
; Registros usados: A, B y C en programa.
;					A, B, C, D, E, H y L en rutina ROM.
org		$7000

P_FLAG	equ	$5c91
PLOT	equ	$22e5

ld		a, 00000011b    ; 00000011B = 3
ld		(P_FLAG), a     ; Acceso a OVER 1
ld		bc, 22656       ; B=$58=88  C=$80=128
call	PLOT            ; PLOT OVER 1;128,88
xor		a
ld		(P_FLAG), a     ; Acceso a OVER 0
ret

end		$7000